Subject: [URN] urn-nid evaluation list

From: Leslie Daigle <[email-masked]>
Date: Tue, 24 Nov 1998 14:07:16 -0500 (EST)

Howdy,

The URN Namespace Definition Mechanisms document outlines the role
of the 
	
	[email-masked]

as being the forum for "clarifying the expression of the registration 
information and suggestions for improvements to the namespace proposal." 

If you'd like to participate in that review process, you can subscribe
via:

	[email-masked]

Thanks,
Leslie.

----------------------------------------------------------------------------

    If cats had bumper stickers:                  Leslie Daigle
                                             
      "I wake for food."                          Bunyip Information Systems
                -- ThinkingCat                    (514) 875-8611
                                                  [email-masked]
----------------------------------------------------------------------------

Date: Tue, 24 Nov 1998 14:07:16 -0500 (EST)
From: Leslie Daigle <[email-masked]>
To: [email-masked]
Subject: [URN] urn-nid evaluation list
Sender: [email-masked]
Reply-To: Leslie Daigle <[email-masked]>

Howdy,

The URN Namespace Definition Mechanisms document outlines the role
of the 
	
	[email-masked]

as being the forum for "clarifying the expression of the registration 
information and suggestions for improvements to the namespace proposal." 

If you'd like to participate in that review process, you can subscribe
via:

	[email-masked]

Thanks,
Leslie.

----------------------------------------------------------------------------

    If cats had bumper stickers:                  Leslie Daigle
                                             
      "I wake for food."                          Bunyip Information Systems
                -- ThinkingCat                    (514) 875-8611
                                                  [email-masked]
----------------------------------------------------------------------------

To: IETF-Announce: ;
Cc: [email-masked]
From: [email-masked]
Subject: [URN] I-D ACTION:draft-ietf-urn-net-procedures-01.txt
Date: Tue, 24 Nov 1998 10:49:42 -0500
Sender: [email-masked]
Reply-To: [email-masked]

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Uniform Resource Names Working Group of the IETF.

	Title		: Assignment Procedures for the URI Resolution 
                          using DNS (RFC2168)
	Author(s)	: M. Mealling
	Filename	: draft-ietf-urn-net-procedures-01.txt
	Pages		: 5
	Date		: 23-Nov-98
	
RFC2168 defines a DNS resource record and an algorithm for using DNS
as a registry for retrieving URI delegation rules (sometimes
called resolution hints). That document specifies that the first step
in that algorithm is to append 'uri.net' to the URI scheme and retrieve
the NAPTR record for that domain-name.  I.e., the first step in
resolving 'http://foo.com/' would be to look up a NAPTR record for
the domain 'http.uri.net'. URN resolution also follows a similar
procedure but uses the 'urn.net' zone as its root. This document
describes the procedures for inserting a new rule into the 'uri.net'
and 'urn.net' zones.

Internet-Drafts are available by anonymous FTP.  Login with the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-urn-net-procedures-01.txt".
A URL for the Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-urn-net-procedures-01.txt

Internet-Drafts directories are located at:

	Africa:	ftp.is.co.za
	
	Europe: ftp.nordu.net
		ftp.nic.it
			
	Pacific Rim: munnari.oz.au
	
	US East Coast: ftp.ietf.org
	
	US West Coast: ftp.isi.edu

Internet-Drafts are also available by mail.

Send a message to:	[email-masked].  In the body type:
	"FILE /internet-drafts/draft-ietf-urn-net-procedures-01.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type: Message/External-body;
	access-type="mail-server";
	server="[email-masked]"

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-urn-net-procedures-01.txt

--OtherAccess
Content-Type: Message/External-body;
	name="draft-ietf-urn-net-procedures-01.txt";
	site="ftp.ietf.org";
	access-type="anon-ftp";
	directory="internet-drafts"

Content-Type: text/plain
Content-ID:	<[email-masked]>

--OtherAccess--

--NextPart--

Date: Mon, 23 Nov 1998 13:03:53 +0100
To: "Yves Arrouye" <[email-masked]>, Justin Couch <[email-masked]>
From: Patrik =?iso-8859-1?Q?F=E4ltstr=F6m?=  <[email-masked]>
Subject: Re: [URN] Looking for latest BIND with NAPTR implementation
Cc: [email-masked]
Sender: [email-masked]
Reply-To: Patrik =?iso-8859-1?Q?F=E4ltstr=F6m?=  <[email-masked]>

At 20.13 -0800 98-11-22, Yves Arrouye wrote:
>They also do handle SRV RRs by the way, which
>can be used in the process of discovering a resolver for URNs.

You can also check the "getservicebyhostname" function which I have 
written. You can find it on ftp://ftp.cafax.se/pub/paf/srvlookup.tar It 
handles the parsing of srv records in DNS.

  paf

From: Michael Mealling <[email-masked]>
Subject: Re: [URN] Looking for latest BIND with NAPTR implementation
To: [email-masked]
Date: Sun, 22 Nov 1998 23:47:53 -0500 (EST)
Cc: [email-masked], [email-masked]
Sender: [email-masked]
Reply-To: Michael Mealling <[email-masked]>

Yves Arrouye said this:
> Justin,
> 
> I've developed my C URN resolution library (soon to be freely available from
> Centraal Corporation) using BIND 4.9.7. I think that BIND 4.9.6 and up
> handle NAPTR RRs correctly. They also do handle SRV RRs by the way, which
> can be used in the process of discovering a resolver for URNs.
> 

Beware that bind 8.1.2 (current production version) has a bug in 
named-xfer that causes NAPTR records to not be transfered correctly during
a zone transfer. If you don't have a secondary (bad thing) or are
running 4.9.6 or higher this bug does not affect you.  Contact me directly 
if you need the patch. You can also find it in the list archives...

-MM

-- 
--------------------------------------------------------------------------------
Michael Mealling	|      Vote Libertarian!       | www.rwhois.net/michael
Sr. Research Engineer   |   www.ga.lp.org/gwinnett     | ICQ#:         14198821
Network Solutions	|          www.lp.org          |  [email-masked]

Date: Sun, 22 Nov 1998 20:13:40 -0800
Subject: Re: [URN] Looking for latest BIND with NAPTR implementation
From: "Yves Arrouye" <[email-masked]>
To: Justin Couch <[email-masked]>
CC: [email-masked]
Sender: [email-masked]
Reply-To: "Yves Arrouye" <[email-masked]>

Justin,

I've developed my C URN resolution library (soon to be freely available from
Centraal Corporation) using BIND 4.9.7. I think that BIND 4.9.6 and up
handle NAPTR RRs correctly. They also do handle SRV RRs by the way, which
can be used in the process of discovering a resolver for URNs.

Yves.

From: Michael Mealling <[email-masked]>
Subject: Re: [URN] Looking for latest BIND with NAPTR implementation
To: [email-masked]
Date: Sun, 22 Nov 1998 22:48:46 -0500 (EST)
Cc: [email-masked]
Sender: [email-masked]
Reply-To: Michael Mealling <[email-masked]>

Justin Couch said this:
> Excuse the newbie status to this WG,

We're all newbies to implementations! ;-)

> I'm starting to work on some java based URN implementations for client
> side resolver work. I'm trying to determine/locate what is the
> recommended version of BIND with the latest implementation of the
> NAPTR/SRV schemes. It is prefered that it be capable of generating the
> additional info fields for testing purposes (preferably running on Linux
> as I can't get access to our production machines). Also, compliance with
> the two drafts issued last Friday would be great.

All versions of BIND since 4.9.6 support NAPTR on the client and
server side. The earlier versions of BIND 8 had a problem with zone
transfers that was  caused by a bug in named-xfer. The current version 
of BIND 8 has fixed that problem. 

The two knew drafts don't really change anything with respect to
NAPTR and URN resolution. The only minor change is the step for
doing general URI resolution. I.e. unless I screwed something up, 
the new papers are backward compatible.

> I've searched through all this year's archives but cannot find any
> reference to publically available implementations (although plenty of
> discussions about NAPTRs themselves!).

I have released a toolkit (apache style license) that contains
an attempt at an Internet Explorer plugin and the client side libraries
that were put together by Ron Daniel at LANL. We will be following
these up with a Java client library. We are also working on NAPTR/SRV
support in Mozilla (the ngLayout switch is making that one take longer).

> I'm doing this work as part of the VRML efforts (you've probably seen
> the the posts from Aaron Walsh) and also for larger issues. I've already
> implemented a simple file based URN resolver but would like to start
> work on the DNS based solution. As part of this work, there will be a
> generic DNS resolver classes and the URN implementation making use of
> it. Any pointers to starter code (searched all the usual places like
> Gamelan, JARS etc) that would save me coding (and can be freely
> redistributed) would also be greatfully accepted. Another really useful
> item would be an implementation of the regexp rewriting rules in pure
> java (no outsourcing to PERL!).

There are several Java regexp implmementations out there. I can 
dig them up if needed. The toolkit above uses an Apache style license
so any changes to that can be incorporated into anything you need.
We are desperately looking for help in implementations (I'm _not_ a 
win32 programmer by any stretch of the imagination).

> In some private conversations with Aaron and some list members, there is
> quite some interest in a pure DNS resolver class independent of the URN
> handling. Expected delivery would be within 2-3 weeks assuming
> everything goes smoothly on the server end for the resolver and the URN
> stuff sometime just after Christmas.

Ah. You need a Java class for NAPTR and SRV? We have both of those. I'll
find the code and put that into the toolkit as well. If you don't 
hear from me by Monday afternoon be sure and bug me about the
Java classes.

The location of the current toolkit is:
ftp://research.netsol.com/pub/urn/plugin/

-MM

-- 
--------------------------------------------------------------------------------
Michael Mealling	|      Vote Libertarian!       | www.rwhois.net/michael
Sr. Research Engineer   |   www.ga.lp.org/gwinnett     | ICQ#:         14198821
Network Solutions	|          www.lp.org          |  [email-masked]

Date: Mon, 23 Nov 1998 09:43:04 +0800
From: Justin Couch <[email-masked]>
Organization: ADI Ltd Systems Group
To: IETF URN WG <[email-masked]>
Subject: [URN] Looking for latest BIND with NAPTR implementation
Sender: [email-masked]
Reply-To: Justin Couch <[email-masked]>

Excuse the newbie status to this WG,

I'm starting to work on some java based URN implementations for client
side resolver work. I'm trying to determine/locate what is the
recommended version of BIND with the latest implementation of the
NAPTR/SRV schemes. It is prefered that it be capable of generating the
additional info fields for testing purposes (preferably running on Linux
as I can't get access to our production machines). Also, compliance with
the two drafts issued last Friday would be great.

I've searched through all this year's archives but cannot find any
reference to publically available implementations (although plenty of
discussions about NAPTRs themselves!).

I'm doing this work as part of the VRML efforts (you've probably seen
the the posts from Aaron Walsh) and also for larger issues. I've already
implemented a simple file based URN resolver but would like to start
work on the DNS based solution. As part of this work, there will be a
generic DNS resolver classes and the URN implementation making use of
it. Any pointers to starter code (searched all the usual places like
Gamelan, JARS etc) that would save me coding (and can be freely
redistributed) would also be greatfully accepted. Another really useful
item would be an implementation of the regexp rewriting rules in pure
java (no outsourcing to PERL!).

In some private conversations with Aaron and some list members, there is
quite some interest in a pure DNS resolver class independent of the URN
handling. Expected delivery would be within 2-3 weeks assuming
everything goes smoothly on the server end for the resolver and the URN
stuff sometime just after Christmas.

-- 
Justin Couch
Senior Software Engineer                           VRML-Java Author
ADI Ltd, Systems Group.
[email-masked]                    http://www.vlc.com.au/~justin/
-------------------------------------------------------------------
"Look through the lens, and the light breaks down into many lights.
 Turn it or move it, and a new set of arrangements appears... is it
 a single light or many lights, lights that one must know how to
 distinguish, recognise and appreciate? Is it one light with many
 frames or one frame for many lights?"      -Subcomandante Marcos
-------------------------------------------------------------------

To: IETF-Announce: ;
Cc: [email-masked]
From: [email-masked]
Subject: [URN] I-D ACTION:draft-ietf-urn-dns-rds-00.txt
Date: Thu, 19 Nov 1998 11:34:00 -0500
Sender: [email-masked]
Reply-To: [email-masked]

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Uniform Resource Names Working Group of the IETF.

	Title		: Resolution of Uniform Resource Identifiers 
                          using the Domain Name System
	Author(s)	: M. Mealling, R. Daniel
	Filename	: draft-ietf-urn-dns-rds-00.txt
	Pages		: 15
	Date		: 18-Nov-98
	
   The architectural principles laid out in RFC2276 [15] defines the
   concept of a 'resolver discovery service'. This document describes
   an immediately-deployable RDS. It is implemented by a new DNS Resource
   Record, NAPTR (Naming Authority PoinTeR) [16], that provides a method
   for encoding incrementally discovered rules within DNS. By using
   these incrementally discovered rules to re-map parts of a URI, we
   can change the host that is contacted to resolve a URI.  This will
   allow a more graceful handling of URLs over long time periods, and
   forms the foundation for a new proposal for Uniform Resource Names.

   In addition to locating resolvers, the NAPTR provides for other
   naming systems to be grandfathered into the URN world, provides
   independence between the name assignment system and the resolution
   protocol system, and allows multiple services (Identifier to
   Location, Identifier to Description, Identifier to Resource, ...)
   to be offered.  In conjunction with the SRV RR, the NAPTR record
   allows those services to be replicated for the purposes of fault
   tolerance and load balancing.

Internet-Drafts are available by anonymous FTP.  Login with the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-urn-dns-rds-00.txt".
A URL for the Internet-Draft is:
ftp://ftp.ietf.org/internet-drafts/draft-ietf-urn-dns-rds-00.txt

Internet-Drafts directories are located at:

	Africa:	ftp.is.co.za
	
	Europe: ftp.nordu.net
		ftp.nic.it
			
	Pacific Rim: munnari.oz.au
	
	US East Coast: ftp.ietf.org
	
	US West Coast: ftp.isi.edu

Internet-Drafts are also available by mail.

Send a message to:	[email-masked].  In the body type:
	"FILE /internet-drafts/draft-ietf-urn-dns-rds-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type: Message/External-body;
	access-type="mail-server";
	server="[email-masked]"

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-urn-dns-rds-00.txt

--OtherAccess
Content-Type: Message/External-body;
	name="draft-ietf-urn-dns-rds-00.txt";
	site="ftp.ietf.org";
	access-type="anon-ftp";
	directory="internet-drafts"

Content-Type: text/plain
Content-ID:	<[email-masked]>

--OtherAccess--

--NextPart--

To: IETF-Announce: ;
Cc: [email-masked]
From: [email-masked]
Subject: [URN] I-D ACTION:draft-ietf-urn-naptr-rr-00.txt
Date: Thu, 19 Nov 1998 11:17:26 -0500
Sender: [email-masked]
Reply-To: [email-masked]

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Uniform Resource Names Working Group of the IETF.

	Title		: The Naming Authority Pointer (NAPTR) DNS Resource Record
	Author(s)	: M. Mealling, R. Daniel
	Filename	: draft-ietf-urn-naptr-rr-00.txt
	Pages		: 12
	Date		: 18-Nov-98
	
   This document describes a DNS Resource Record which specifies
   a rewrite rule that, when applied to an existing string
   will produce a new domain. Reasons for rewriting a domain
   vary from URN Resource Discovery Systems to moving out of date
   services to new domains.
 
   This document updates the portions of RFC2168 specifically
   dealing with the definition of the NAPTR record.

Internet-Drafts are available by anonymous FTP.  Login with the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-urn-naptr-rr-00.txt".
A URL for the Internet-Draft is:
ftp://ftp.ietf.org/internet-drafts/draft-ietf-urn-naptr-rr-00.txt

Internet-Drafts directories are located at:

	Africa:	ftp.is.co.za
	
	Europe: ftp.nordu.net
		ftp.nic.it
			
	Pacific Rim: munnari.oz.au
	
	US East Coast: ftp.ietf.org
	
	US West Coast: ftp.isi.edu

Internet-Drafts are also available by mail.

Send a message to:	[email-masked].  In the body type:
	"FILE /internet-drafts/draft-ietf-urn-naptr-rr-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type: Message/External-body;
	access-type="mail-server";
	server="[email-masked]"

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-urn-naptr-rr-00.txt

--OtherAccess
Content-Type: Message/External-body;
	name="draft-ietf-urn-naptr-rr-00.txt";
	site="ftp.ietf.org";
	access-type="anon-ftp";
	directory="internet-drafts"

Content-Type: text/plain
Content-ID:	<[email-masked]>

--OtherAccess--

--NextPart--

To: IETF-Announce: ;
Cc: RFC Editor <[email-masked]>
Cc: Internet Architecture Board <[email-masked]>
Cc: [email-masked]
From: The IESG <[email-masked]>
Subject: [URN] Document Action: URI Resolution Services Necessary for URN Resolution to Experimental
Date: Wed, 11 Nov 1998 08:54:14 -0500
Sender: [email-masked]
Reply-To: The IESG <[email-masked]>

The IESG has approved the Internet-Draft URI Resolution Services
Necessary for URN Resolution <draft-ietf-urn-resolution-services-07.txt>
as a Experimental Protocol.  This document is the product of the
Uniform Resource Names Working Group. 

The IESG contact persons are Keith Moore and Patrik Faltstrom.

To: IETF-Announce: ;
Cc: [email-masked]
From: The IESG <[email-masked]>
Subject: [URN] Last Call: URN Namespace Definition Mechanisms to BCP
Date: Tue, 10 Nov 1998 07:45:18 -0500
Sender: [email-masked]
Reply-To: The IESG <[email-masked]>

The IESG has received a request from the Uniform Resource Names Working
Group to consider URN Namespace Definition Mechanisms
<draft-ietf-urn-nid-req-07.txt> as a BCP.

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action.  Please send any comments to the
[email-masked] or [email-masked] mailing lists by November 24, 1998.

Files can be obtained via
ftp://ftp.ietf.org/internet-drafts/draft-ietf-urn-nid-req-07.txt

From: [email-masked]
Date: Sat, 7 Nov 1998 15:29:27 +0100 (MET)
To: <[email-masked]>
Subject: [URN] Free Shipping included
Sender: [email-masked]
Reply-To: [email-masked]
Sender: Viagra.4.you
Email: [email-masked]

Visit 

http://surf.to/forsale 

for full details.

This message is sent in compliance of the new e-mail bill:
SECTION 301, Paragraph (a)(2)(C) of s. 1618

To be removed from our mailing list, simply reply with
"REMOVE" in the subject.